import { TabContentItem } from '@nativescript-community/ui-material-core-tabs/tab-content-item';
import { TabNavigation } from '@nativescript-community/ui-material-core-tabs/tab-navigation/index.android';
import { TabStrip } from '@nativescript-community/ui-material-core-tabs/tab-strip';
import { TabStripItem } from '@nativescript-community/ui-material-core-tabs/tab-strip-item';
import { TabsPosition } from '@nativescript-community/ui-material-core-tabs/tab-navigation/index-common';
import { Color } from '@nativescript/core';
export { TabContentItem, TabStrip, TabStripItem };
interface BottomNavigationBar extends com.nativescript.material.core.BottomNavigationBar {
    new (context: android.content.Context, owner: BottomNavigation): BottomNavigationBar;
}
declare let BottomNavigationBar: BottomNavigationBar;
export declare class BottomNavigation extends TabNavigation<com.nativescript.material.core.BottomNavigationBar> {
    tabsPosition: TabsPosition;
    animationEnabled: boolean;
    swipeEnabled: boolean;
    protected updateTabsBarItemAt(position: number, itemSpec: com.nativescript.material.core.TabItemSpec): void;
    protected setTabsBarSelectedIndicatorColors(colors: number[]): void;
    protected getTabBarItemView(index: number): globalAndroid.widget.LinearLayout;
    protected getTabBarItemTextView(index: number): globalAndroid.widget.TextView;
    protected createNativeTabBar(context: android.content.Context): BottomNavigationBar;
    protected setTabBarItems(tabItems: com.nativescript.material.core.TabItemSpec[]): void;
    protected selectTabBar(oldIndex: number, newIndex: number): void;
    onLoaded(): void;
    updateAndroidItemAt(index: number, spec: com.nativescript.material.core.TabItemSpec): void;
    setTabBarBackgroundColor(value: android.graphics.drawable.Drawable | Color): void;
    _setItemsColors(items: TabStripItem[]): void;
    setTabBarSelectedItemColor(value: Color): void;
    setTabBarUnSelectedItemColor(value: Color): void;
    onTabsBarSelectedPositionChange(position: number, prevPosition: number): void;
}
